
Showroom Mobile Banking - Bug #14102

[Bug- iOS phones received the "timed out" for the user iD or "cannot process your request right

now"

27 July 2022 01:32 PM - See Liang Lim

Status: Pending SIT Start date: 27 July 2022

Priority: High Due date:  

Assignee: See Liang Lim % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: Future Branch Code: showroom-proj-base-i5

Description

The following scenarios happened regularly today during the dry run of the Showroom App

1) On iOS phone A, i will get "timed out" pop up error after a while. Initially the App works fine

2) On iOS phone B, the user will get "cannot process your request right now" pop up error after a while as well

3) Changing to different IDs, eg, testdeposit2, mobility002, mobility003 does not help. And even if input a wrong ID, will produce the

above problems

4) On 1 occassion, we un-installed and re-installed back the app, on 1 device it works, on another device it doesnt work.

Sometimes, the above error happens after the "Session going to time out. Proceed yes /No". This session pop is displayed relatively

fast as well. Was informed that the session time out is set to be 2 hours.

Expected Results =================

1) The above problems appears during demos/preparing to demo to clients, and as such is not good for us. (and cannot uninstall

infront of customer , or kill app , and re-do)

2) Need to ensure that user can perform the transactions without timeout and without the above problems

History

#1 - 03 August 2022 10:55 AM - chok yee fan

- Assignee changed from chok yee fan to Megat AhmadSalehudin

#2 - 03 August 2022 10:56 AM - Megat AhmadSalehudin

- Status changed from New to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r218185 | ahmadsalehudin | 2022-07-31 22:32:30 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.effects.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/constants.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/common.service.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/app.component.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/effects/common.effects.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/idle.service.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/network/sl-web-se

rvice.service.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/introduction-wizard/introduction-wizar

d.effect.ts
#3 - 03 August 2022 11:01 AM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

- Assignee changed from Hoo Dextor to See Liang Lim

Released v2.0.0.4 SIT

#4 - 08 November 2022 09:19 AM - chok yee fan

- Status changed from Pending SIT  to Feedback

- Assignee changed from See Liang Lim to Megat AhmadSalehudin

currently happen on Android

#5 - 08 November 2022 01:50 PM - Megat AhmadSalehudin

- Status changed from Feedback to Assigned

- Assignee changed from Megat AhmadSalehudin to See Liang Lim

Note: Unable to simulate

#6 - 16 November 2022 08:52 PM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from See Liang Lim to Hoo Dextor

r219964 | ahmadsalehudin | 2022-11-16 20:51:11 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/sl-web-service/src/lib/sl-web-service.service.t

s

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/effects/common.effects.ts
----------------------------------------------------------------------------

Note: Able to simulate and fixed the issue

#7 - 16 November 2022 09:43 PM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

- Assignee changed from Hoo Dextor to See Liang Lim

Released v2.0.0.0.8 SIT
